Package org.apache.felix.utils.properties

# Class Properties.Layout

java.lang.Object
org.apache.felix.utils.properties.Properties.Layout

Enclosing class:
  `Properties`

protected static class Properties.Layout extends Object
TODO

## Constructor Summary

Constructors
Constructor
Description
`Layout()`
`Layout(List<String> commentLines, List<String> valueLines)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearValue()`
`List<String>`
`getCommentLines()`
`List<String>`
`getValueLines()`
`void`
`setCommentLines(List<String> commentLines)`
`void`
`setValueLines(List<String> valueLines)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Layout

public Layout()

### Layout

public Layout(List<String> commentLines, List<String> valueLines)

## Method Details

### getCommentLines

public List<String> getCommentLines()

### setCommentLines

public void setCommentLines(List<String> commentLines)

### getValueLines

public List<String> getValueLines()

### setValueLines

public void setValueLines(List<String> valueLines)

### clearValue

public void clearValue()